#ifndef _DEBUG_H_
#define _DEBUG_H_

#include <print.h>

#ifndef DEBUG_PORT
#define DEBUG_PORT 1
#endif

#ifdef DEBUG
#define GENDEBUG(fmt, args...) ser_printf(DEBUG_PORT,"Gen: "fmt, ## args)
#else
#define GENDEBUG(fmt, args...)
#endif


#ifdef DEBUGIRQ
#define IRQDEBUG(fmt, args...) ser_printf(DEBUG_PORT,"Gen: "fmt, ## args)
#else
#define IRQDEBUG(fmt, args...)
#endif

#endif //_DEBUG_H_
