#ifndef TLV_H
#define TLV_H

#include "GNU_defs.h"

#define TLV_CONTROL PORTK
#define TLV_CONFIG 	 DDRK

#define LDAC  0x20
#define DACS 0x10

#define TLVMAX 0xFFF

#define LDAC_OFF()  TLV_CONTROL|=LDAC
#define LDAC_ON()   TLV_CONTROL&=(~LDAC)
#define DACS_OFF() TLV_CONTROL|=DACS
#define DACS_ON()  TLV_CONTROL&=(~DACS)

#define TLV_INIT_LINES() {TLV_CONFIG|=(LDAC|DACS);LDAC_OFF();DACS_OFF();}

int  __attribute__((far))TLV5614Init(void);
void  __attribute__((far))DAQcallback(u8 data, u8 **destptr);
int  __attribute__((far))TLV5614_Write(int channel, int value);
int  __attribute__((far))e12_Daq_Write(int channel, int value);

#endif
