/*GNU_defs.h
This module defines some specific defines that
were using in porting the ipac code to the GNU compiler
*/

#ifndef GNUDEF_H
#define GNUDEF_H

#define GNU_COMP
#define DP256
#define PORTH PTH
#define PORTT PTT
#define TSCR TSCR1
#define KEWIFH PIFH

#define TFFCA 0x10 /*auto interrupt clearing*/
#define TSBCK 0x20 /*timer runs in background mode*/
#define TSWAI 0x40 /*disable timer during wait*/
#define TEN 0x80 /*timer enable bit*/


#define ENABLE		1
#define ON  				1
#define OFF 				0

#define SUCCESS	1
#define FAILURE			0


//#include <sys/interrupts.h>

typedef unsigned char u8;
typedef unsigned short u16;
typedef unsigned long  u32;
typedef unsigned long ssize_t;

#endif

