/***************************************************************************
                          CANflect.h  -  CAN reflection 
                             -------------------
    begin                : Tue January 3, 2005
    email                : ngustavson@emacinc.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _CANFLECT_H_
#define _CANFLECT_H_
#include <gnu_defs.h>
#include <signal.h>
#include <can.h>

#define QUEUESIZE 5

can_module *reflectCAN_setup(int module, unsigned long baud,
 unsigned long long id,unsigned long long mask);

int __attribute__((far))reflectCAN_step(can_module *CAN, 
	char *reflect_message,int sport);

/**board signal aliases*/
#define RS232_DATA_RECEIVED	SCI0_DATA_RECEIVED
#define RS422_DATA_RECEIVED SCI1_DATA_RECEIVED
#define RS485_DATA_RECEIVED SCI1_DATA_RECEIVED
#define CAN_DATA_RECEIVED	CAN0_DATA_RECEIVED
 
#define RS232_DATA_SENT	SCI0_DATA_SENT
#define RS422_DATA_SENT SCI1_DATA_SENT
#define RS485_DATA_SENT SCI1_DATA_SENT
#define CAN_DATA_SENT	CAN0_DATA_SENT
 
#endif //_CANFLECT_H_
