/***************************************************************************
                          mcp.c  - 
                          CAN reflection program
                          main control loop.
                             -------------------
    begin                : Tue Jan 3 2006
    email                : ngustavson@emacinc.com
 ***************************************************************************/

#include <init.h>
#include <tasks.h>
#include <vt100.h>
#include "CANflect.h"

#define COM_PORT	0

#define CAN_PORT 	0
#define CANKBAUD	500
#define ID			1
#define MASK		0xffff


int rc(){
heartbeat(ON);
NEWSCRN(COM_PORT);//VT100 clear and home
ser_printf(COM_PORT,"initializing CAN port %x\n\r",(long)CAN_PORT);
can_module *CAN = reflectCAN_setup(CAN_PORT, CANKBAUD,ID,MASK); 
ser_printf(COM_PORT,"starting main control loop \n\r");
while(1)reflectCAN_step(CAN,NULL,COM_PORT);	
return 0;
}
