/***************************************************************************
                          lcdkey.c  -  lcd/keypad demo
                             -------------------
    begin                : Thu March 2 2006
    email                : support@emacinc.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <init.h>
#include <tasks.h>

/*keypad lcd example
*/
int rc()
{
heartbeat(ON);
ser_printf(0,"lcdkey\n\r");
ser_printf(0,"displays keypresses on the LCD\n\r");
LCD_printf("key presses:\r\n");

while(1){
	const char Key_E020_21[KEYROW][KEYCOL] = {
		{'1','2','3','C','Z','Z'},/*row0*/
		{'4','5','6','D','Z','Z'},/*row1*/
		{'7','8','9','E','Z','Z'},/*row2*/
		{'A','0','B','F','Z','Z'},/*row3*/
	};
	u8 keyindex = Key_getch();;
	char keychar = Key_E020_21[GETROW(keyindex)][GETCOL(keyindex)];
	LCD_printf("%c ",keychar); 
}

return 0;
}


